ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0016811ClearOSbuild-release - Operating Systempublic2017-09-01 08:402017-09-21 19:53
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.4.0 Beta 1 
Target Version7.4.0 Beta 1Fixed in Version7.4.0 Beta 1 
Summary0016811: Review possible 32-bit shenanigans in 7.4.0
DescriptionIn upstream 7.4, the rdma package (noarch) is getting replaced by rdma-core (arch-dependent). The yum upgrade will pull in both 32-bit and 64-bit versions to replace the noarch:

Installing:
 rdma-core i686 13-7.el7 centos-cr-unverified 43 k
     replacing rdma.noarch 7.3_4.7_rc2-6.el7_3
 rdma-core x86_64 13-7.el7 centos-cr-unverified 43 k
     replacing rdma.noarch 7.3_4.7_rc2-6.el7_3

This in turn pulls in a whole bunch of unwanted 32-bit dependencies. Yuck.

This only happens when directly connecting to the CentOS repos, so it shouldn't be a problem for users who stick to the "ClearOS CentOS" mirrors. RHEL doesn't do 32-bit... that's a CentOS side project.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-09-01 08:40 pbaldwin New Issue
2017-09-01 08:41 pbaldwin Status new => confirmed
2017-09-17 14:03 pbaldwin Status confirmed => resolved
2017-09-17 14:03 pbaldwin Fixed in Version => 7.4.0
2017-09-17 14:03 pbaldwin Resolution open => fixed
2017-09-17 14:03 pbaldwin Assigned To => pbaldwin
2017-09-18 15:26 pbaldwin Fixed in Version 7.4.0 => 7.4.0 Beta 1
2017-09-18 15:26 pbaldwin Target Version 7.4.0 => 7.4.0 Beta 1
2017-09-21 19:53 pbaldwin Status resolved => closed